use bevy::prelude::*;

#[derive(Resource, Debug, PartialEq, Clone, Copy)]
pub struct GlobalState {
    pub cursor_position: Vec2,
    pub window_extent: Vec2,
    pub polygon_started: bool,
    pub view_2d: bool,
}

impl Default for GlobalState {
    fn default() -> Self {
        Self {
            cursor_position: Vec2::default(),
            window_extent: Vec2::default(),
            polygon_started: false,
            view_2d: true,
        }
    }
}
